/* * * * * * * * * * * * *  BEGIN LICENSE BLOCK * * * * * * * * * * * * * * * *
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Juergen Binder's Browse Images Code
 *
 * The Initial Developer of the Original Code is Juergen Binder.
 * Portions created by Juergen Binder are Copyright (C) 2005
 * Juergen Binder. All Rights Reserved.
 *
 * Contributor(s): Juergen Binder.
 *
 * Please see also the licensing notes of the FillHistoryMenu function at the
 * end of this file.
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the LGPL or the GPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 * * * * * * * * * * * *  END LICENSE BLOCK * * * * * * * * * * * * * * * * * */

var radiogroup;

function IDDinit() {
    
    //urlbox = document.getElementById("browseimages.incDecDialog.urlbox");
    
    //urlbox.value = window.arguments[0];
    
    var hbox = document.getElementById("browseimages.incDecDialog.hbox");
    radiogroup =
            document.getElementById("browseimages.incDecDialog.box.radiogroup");
            
    /*:) *** (:*/
    var url = window.arguments[0];
    var positions = window.arguments[1];
    var flipDirection = window.arguments[2];
    
    if(flipDirection == -1) {
        radiogroup.selectedIndex = 1;
    } else {
        radiogroup.selectedIndex = 0;
    }
    
    positions.push(url.length);
    
    var i = 0;
    var lastPos = 0;
    var label;
    var toolbarbutton;
    var tbblabel;
    
    while(i < positions.length) {
        
        /* letters between the digits */
        label = document.createElement("toolbarbutton");
        label.setAttribute("label", url.substring(lastPos, positions[i]));
        label.setAttribute("disabled", "true");
        hbox.appendChild(label);
        
        
        /* * * Digit portions * * */
        var oldi = i;
        toolbarbutton = document.createElement("toolbarbutton");
        
        while(((i + 1) < positions.length) && positions[i+1] == positions[i] + 1) {
            i++
        }
        
        tbblabel = url.substring(positions[oldi],positions[i] + 1);
        
        if(tbblabel != "") {
            toolbarbutton.setAttribute("label", tbblabel);
            toolbarbutton.setAttribute("oncommand", "IDDdoIt(" +
                                                    (positions[i] + 1) + ");");
            
            hbox.appendChild(toolbarbutton);
        }
        
        lastPos = positions[i] + 1;
        i++;
    }
    
    sizeToContent();
}       


function IDDdoIt(flipPosition) {
    
    var flipDirection = radiogroup.selectedItem.value;
                  
    window.arguments[3].flipDirection = flipDirection;
    window.arguments[3].flipPosition = flipPosition;
    
    document.getElementById("browseimages.incDecDialog").acceptDialog();
    
}

function IDDchangeURL() {
    var textbox =
                document.getElementById("browseimages.incDecDialog.urltextbox");
    
    var urlbox = document.getElementById("browseimages.incDecDialog.urlbox")
    urlbox.removeChild(document.getElementById("browseimages.incDecDialog.qbox"));
    
    textbox.value = window.arguments[0];
    textbox.removeAttribute("hidden");
    
    var changeUrlButton =
                document.getElementById("browseimages.incDecDialog.changeURL");
    
    changeUrlButton.removeAttribute("oncommand");
    changeUrlButton.setAttribute("oncommand", "IDDcloseAndReload();");
    
    var props = document.getElementById("string-tanga");
                                          
    changeUrlButton.setAttribute("label", props.getString("confirmUrlChange"));
    
    document.getElementById("browseimages.incDecDialog.box.label").setAttribute("value", props.getString("enterNewUrl"));
    
    document.getElementById("browseimages.incDecDialog.box.radiogroup").setAttribute("hidden", "true");
    
    document.getElementById("browseimages.incDecDialog.box.label2").setAttribute("hidden", "true");
    
    window.resizeBy(100,0);
}


function IDDcloseAndReload() {
    var textbox =
                document.getElementById("browseimages.incDecDialog.urltextbox");
    
    window.arguments[3].newURL = textbox.value;
    
    var flipDirection = radiogroup.selectedItem.value;
                  
    window.arguments[3].flipDirection = flipDirection;
    
    document.getElementById("browseimages.incDecDialog").cancelDialog();
    
}